/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _FITS_IO_H
#define _FITS_IO_H

#include <fitsio.h>

struct image_2d {
	char *filename;
	char object[70];
	char comment[80];
	int naxis1;
	int naxis2;
	double exposure;
	int gain;
	int temperature;
	int *data;
};

int image_2d_save(struct image_2d *im);

#endif /* _FITS_IO_H */
